package com.euler.yb.android.charts;

import com.euler.yb.android.charts.data.KlineData;

import java.util.Map;

/**
 * Created by Bo.Yang on 2018/4/8.
 */

public class Utils {


    public static KlineData getKDataByMap(Map<String,Object> map){
        KlineData klineData=new KlineData();

        if(map.containsKey("tradingTime")){
            klineData.setTradingTime(map.get("tradingTime").toString());
        }

        if(map.containsKey("x")){
            klineData.setX(map.get("x").toString());
        }

        if(map.containsKey("shadowH")){
            klineData.setShadowH(Float.parseFloat(map.get("shadowH").toString()));
        }

        if(map.containsKey("shadowL")){
            klineData.setShadowL(Float.parseFloat(map.get("shadowL").toString()));
        }

        if(map.containsKey("open")){
            klineData.setOpen(Float.parseFloat(map.get("open").toString()));
        }

        if(map.containsKey("close")){
            klineData.setClose(Float.parseFloat(map.get("close").toString()));
        }

        if(map.containsKey("action")){
            klineData.setAction(Integer.parseInt(map.get("action").toString()));
        }

        if(map.containsKey("price")){
            klineData.setPrice(Float.parseFloat(map.get("price").toString()));
        }
        return klineData;
    }
}
