package com.euler.yb.android.charts.formatter;

import android.util.Log;

import com.github.mikephil.charting.components.AxisBase;
import com.github.mikephil.charting.data.CandleDataSet;
import com.github.mikephil.charting.data.DataSet;
import com.github.mikephil.charting.formatter.IAxisValueFormatter;
import java.util.Map;

/**
 * Created by Bo.Yang on 2018/4/27.
 */

public class XFormatter implements IAxisValueFormatter {


    private CandleDataSet candleDataSet;

    public XFormatter(CandleDataSet candleDataSet) {
        this.candleDataSet = candleDataSet;
    }

    @Override
    public String getFormattedValue(float value, AxisBase axis) {

        if(value!=0&&value<candleDataSet.getEntryCount()){
           String date= ((Map<String,Object>)candleDataSet.getEntryForIndex((int)value).getData()).get("reportdate").toString();
           String y=date.substring(2,4);
           int m=Integer.parseInt(date.substring(5,7));
           int d=Integer.parseInt(date.substring(8,10));
            return y+"/"+m+"-"+d;
        }
        return "";
    }


}
