package com.euler.yb.android.charts.formatter;

import com.euler.yb.android.charts.Utils;
import com.euler.yb.android.charts.data.KlineData;
import com.github.mikephil.charting.data.Entry;
import com.github.mikephil.charting.formatter.IValueFormatter;
import com.github.mikephil.charting.utils.ViewPortHandler;

import java.util.Map;

/**
 * Created by 13381 on 2018/4/8.
 */

public class KLineFormatter implements IValueFormatter {

    @Override
    public String getFormattedValue(float value, Entry entry, int dataSetIndex, ViewPortHandler viewPortHandler) {
        Map<String,Object> map= (Map<String, Object>) entry.getData();
        KlineData klineData= Utils.getKDataByMap(map);
        String showText="";
        switch (klineData.getAction()){
            case 1:
                showText="buy";
                break;
            case 2:
                showText="sell";
                break;
        }
        return showText;
    }
}
